/* Copyright 2009 Marcel Overdijk
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.grails.samples.sakila

class Address {

    String address
    String address2
    String district
    City city
    String postalCode
    String phone

    static constraints = {
        address(nullable: false, blank: false, maxSize: 50)
        address2(nullable: true, blank: true, maxSize: 50)
        district(nullable: false, blank: false, maxSize: 20)
        city(nullable: false)
        postalCode(nullable: true, blank: true, maxSize: 10)
        phone(nullable: false, blank: false, maxSize: 20)
    }

    static mapping = {
        id column: "address_id"
        sort address: "asc"
        version false
    }

    String toString() { address }
}
