/* Copyright 2009 Marcel Overdijk
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.grails.samples.sakila

class City {

    static belongsTo = [country: Country]

    String city

    static constraints = {
        country(nullable: false)
        city(nullable: false, blank: false, maxSize: 50, unique: "country")
    }

    static mapping = {
        id column: "city_id"
        sort city: "asc"
        version false
    }

    String toString() { city }
}
