/* Copyright 2009 Marcel Overdijk
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.grails.samples.sakila

class Country {

    static hasMany = [cities: City]

    String country

    static constraints = {
        country(nullable: false, blank: false, maxSize: 50, unique: true)
    }

    static mapping = {
        id column: "country_id"
        sort country: "asc"
        version false
    }

    String toString() { country }
}
