<%@ page import="org.grails.samples.sakila.Actor" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <title><g:message code="actor.edit" default="Edit Actor" /> - ${actorInstance.encodeAsHTML()}</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><g:link class="list" action="list"><g:message code="actor.list" default="Actor List" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="actor.new" default="New Actor" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="actor.edit" default="Edit Actor" /> - ${actorInstance.encodeAsHTML()}</h1>
            <g:if test="${flash.message}">
            <div class="message"><g:message code="${flash.message}" args="${flash.args}" default="${flash.defaultMessage}" /></div>
            </g:if>
            <g:hasErrors bean="${actorInstance}">
            <div class="errors">
                <g:renderErrors bean="${actorInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${actorInstance?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="firstName"><g:message code="actor.firstName" default="First Name" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: actorInstance, field: 'firstName', 'errors')}">
                                    <g:textField style="width: 450px;" name="firstName" maxlength="45" value="${fieldValue(bean: actorInstance, field: 'firstName')}" />
                                </td>
                            </tr>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="lastName"><g:message code="actor.lastName" default="Last Name" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: actorInstance, field: 'lastName', 'errors')}">
                                    <g:textField style="width: 450px;" name="lastName" maxlength="45" value="${fieldValue(bean: actorInstance, field: 'lastName')}" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'update', 'default': 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'delete', 'default': 'Delete')}" onclick="return confirm('${message(code: 'delete.confirm', 'default': 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
